Name:		binwalk
Version:	2.2.0
Release:	%mkrel 2
Summary:	Firmware analysis tool
License:	MIT
Group:		Development/Tools
URL:		http://binwalk.org
Source0:	https://github.com/devttys0/binwalk/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(python3)
# For tests
BuildRequires:	python3-nose
BuildRequires:	python3-coverage
BuildArch:	noarch

%description
Binwalk is a fast, easy-to-use tool for analyzing and extracting
firmware images.


%files
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/*.egg-info


%prep
%setup -q

%build
%py3_build


%install
%py3_install


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 2.2.0-2.mga8
+ Revision: 1537120
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1455862
- new version: 2.2.0

* Sat Sep 14 2019 daviddavid <daviddavid> 2.1.1-6.mga8
+ Revision: 1440741
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 2.1.1-5.mga7
+ Revision: 1354685
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.1.1-4.mga7
+ Revision: 1277654
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.1-3.mga7
+ Revision: 1135187
- Rebuild for python 3.6

* Thu Apr 28 2016 tv <tv> 2.1.1-2.mga6
+ Revision: 1007138
- use new python macros

* Thu Apr 07 2016 neoclust <neoclust> 2.1.1-1.mga6
+ Revision: 999232
- imported package binwalk

